#pragma once

#include "CoreMinimal.h"
#include "MenuLoadoutPartViewData.h"
#include "MenuPerkViewData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UMenuPerkViewData : public UMenuLoadoutPartViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	int32 Level;

	UPROPERTY(BlueprintReadWrite, Transient)
	FText DisplayName;

	UPROPERTY(BlueprintReadWrite, Transient)
	FText Description;

	UPROPERTY(BlueprintReadWrite, Transient)
	FText EventName;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString EventId;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsRandomPerk;

public:
	UMenuPerkViewData();
};

FORCEINLINE uint32 GetTypeHash(const UMenuPerkViewData) { return 0; }
